### Method

# RB RefString get_folded

#### Declaration [src]

    const char*
    rb_refstring_get_folded (
      RBRefString* val
    )

#### Description [src]

Returns the case-folded version of the string underlying `val`. The case-folded string is cached inside the `RBRefString` for speed. See `rb_search_fold` for information on case-folding strings.

#### Return value

Type: `const char*`

Case-folded string, must not be freed.

The returned data is owned by the instance.
The value is a NUL terminated UTF-8 string.